const WebSocket = require('ws')
const url = require('url')
const app = require('./app')

const port = process.env.PORT || 5000;

wss = new WebSocket.Server({
    noServer: true,
})
    
wss.on('connection', (ws) => {
    ws.on('message', (msg) => {
        console.log(`received ${msg}`);
    })
    ws.send('something');
})

const server = app.listen(port, () => {
    console.log(`Express listening: http://localhost:${port}`)
})

server.on('upgrade', (req, socket, head) => {
    const pathname = url.parse(req.url).pathname
    if (pathname === '/ws') {
        wss.handleUpgrade(req, socket, head, (socket) => {
            wss.emit('connection', socket, req);
        })
    }
})